import { Quaternion, Vector3 } from "three";
import { SoftBodyAnchor, SoftBodyAnchorRef, SoftBodyRigidBodyAnchor, SoftBodyRigidBodyAnchorRef, Transform } from "../lib/types";
export declare function almostEqualsVector3(epsilon: number, u: Vector3, v: Vector3): boolean;
export declare function almostEqualsBtVector3(epsilon: number, u: Ammo.btVector3, v: Ammo.btVector3): boolean;
export declare function almostEqualsQuaternion(epsilon: number, u: Quaternion, v: Quaternion): boolean;
export declare function toBtVector3(btVec: Ammo.btVector3, vec: Vector3): void;
export declare function toVector3(btVec: Ammo.btVector3): Vector3;
export declare function toBtQuaternion(btQuat: Ammo.btQuaternion, vec: Quaternion): void;
export declare function toBtTransform(btTransform: Ammo.btTransform, transform: Transform): void;
export declare function notImplementedEventReceiver(data: any): void;
export declare function isSoftBodyRigidBodyAnchor(anchor: SoftBodyAnchor): anchor is SoftBodyRigidBodyAnchor;
export declare function isSoftBodyRigidBodyAnchorRef(anchor: SoftBodyAnchorRef): anchor is SoftBodyRigidBodyAnchorRef;
